Package org.apache.sysds.runtime.frame.data.columns

## Class HashMapToInt<K>

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.columns.HashMapToInt<K>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<K,​Integer>`

    public class HashMapToInt<K>
    extends Object
    implements Map<K,​Integer>, Serializable, Cloneable

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,​V extends Object>`

### Constructor Summary

Constructors
`HashMapToInt​(int capacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`boolean` `containsKey​(Object key)`
`boolean` `containsValue​(Object value)`
`Set<Map.Entry<K,​Integer>>` `entrySet()`
`void` `forEach​(BiConsumer<? super K,​? super Integer> action)`
`Integer` `get​(Object key)`
`int` `getI​(K key)`
`int` `hash​(K key)`
`Array<K>` `inverse​(Types.ValueType t)`
`boolean` `isEmpty()`
`Set<K>` `keySet()`
`Integer` `put​(K key, Integer value)`
`void` `putAll​(Map<? extends K,​? extends Integer> m)`
`int` `putI​(K key, int value)`
`Integer` `putIfAbsent​(K key, Integer value)`
`int` `putIfAbsentI​(K key, int value)`
`int` `putIfAbsentReturnVal​(K key, int value)`
`Integer` `remove​(Object key)`
`int` `size()`
`String` `toString()`
`Collection<Integer>` `values()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, getOrDefault, hashCode, merge, remove, replace, replace, replaceAll`

### Constructor Detail

#### HashMapToInt

    public HashMapToInt​(int capacity)

### Method Detail

#### size

    public int size()

Specified by:
  `size` in interface `Map<K,​Integer>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<K,​Integer>`

#### containsKey

    public boolean containsKey​(Object key)

Specified by:
  `containsKey` in interface `Map<K,​Integer>`

#### containsValue

    public boolean containsValue​(Object value)

Specified by:
  `containsValue` in interface `Map<K,​Integer>`

#### get

    public Integer get​(Object key)

Specified by:
  `get` in interface `Map<K,​Integer>`

#### getI

    public int getI​(K key)

#### hash

    public int hash​(K key)

#### put

    public Integer put​(K key,
                       Integer value)

Specified by:
  `put` in interface `Map<K,​Integer>`

#### putIfAbsent

    public Integer putIfAbsent​(K key,
                               Integer value)

Specified by:
  `putIfAbsent` in interface `Map<K,​Integer>`

#### putIfAbsentI

    public int putIfAbsentI​(K key,
                            int value)

#### putIfAbsentReturnVal

    public int putIfAbsentReturnVal​(K key,
                                    int value)

#### putI

    public int putI​(K key,
                    int value)

#### remove

    public Integer remove​(Object key)

Specified by:
  `remove` in interface `Map<K,​Integer>`

#### putAll

    public void putAll​(Map<? extends K,​? extends Integer> m)

Specified by:
  `putAll` in interface `Map<K,​Integer>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Map<K,​Integer>`

#### keySet

    public Set<K> keySet()

Specified by:
  `keySet` in interface `Map<K,​Integer>`

#### values

    public Collection<Integer> values()

Specified by:
  `values` in interface `Map<K,​Integer>`

#### entrySet

    public Set<Map.Entry<K,​Integer>> entrySet()

Specified by:
  `entrySet` in interface `Map<K,​Integer>`

#### forEach

    public void forEach​(BiConsumer<? super K,​? super Integer> action)

Specified by:
  `forEach` in interface `Map<K,​Integer>`

#### inverse

    public Array<K> inverse​(Types.ValueType t)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`